<%@ LANGUAGE = JSCRIPT %>
<!-- #include virtual = "/inc/resTree.inc" -->
<!-- #include virtual = "/inc/camtype.inc" -->
<!-- #include virtual = "/inc/sitewidgets.inc" -->
<!-- #include virtual = "/service/inc/servicemenu.inc" -->
<%
	
    /* Server side script */
   
	var expectedTiltDeg = 0;

	var strTitle 	= "";
	var strDesc  	= "";
	var calibWasRun = false;
	var calibWasOK  = false;
	var calibErr	= "";
	
	function tilt_acc_hw_exists()
	{
		if (CamType == "E2qt")
		{
			return restree.getResourceValue(".caps.hw.direction.lcdAccel.enabled");
		}
		else
		{
			return true;
		}
	}
	
	function tilt_acc_is_enabled()
	{
		if (CamType == "E2qt")
		{
			return restree.getResourceValue(".caps.config.direction.lcdAccel.enabled");
		}
		else
		{
			return true;
		}
	}
	
	function tilt_acc_is_available()
	{
		return (tilt_acc_hw_exists() && tilt_acc_is_enabled());
	}
   
    if ( Request.Form.Count > 0 ) 
    {
        if (Request.Form( "calibrate" ) != "")
        {
			if (CamType == "E2qt")
			{
				/* Calibrate */
				restree.setResourceValue(".system.direction.lcdAccel.calibrate", "true" );
				calibWasRun = true;
				
				/* Check output, tiltDeg should be 0 in fixture (?) */
				var tiltDeg = restree.getResourceValue(".image.sysimg.basicImgData.imageInfo.tiltDeg");
				if (tiltDeg == expectedTiltDeg)
				{
					calibWasOK = true;
				}				
				else
				{
					calibWasOK = false;
					calibErr = "ERROR: Accelerometer not OK, tilt deg: " + tiltDeg + " instead of expected value: "  + expectedTiltDeg;
				}
			}
			else /* E3, E3qt, PT etc */
			{
				restree.setResourceValue( ".system.direction.sensorAccel.calibrate", "true" );
				calibWasRun = true;
				calibWasOK = true;
			}
        }
    }
	
	if (CamType == "E2qt")
	{
		strTitle = "Calibrate tilt accelerometer";
		strDesc  = "Place the camera in fixture. Wait for 5 seconds. Press the <b>Calibrate</b> button.";
	}
	else
	{
		strTitle = "Calibrate accelerometer";
		strDesc  = "Place the camera horizontally in mapping fixture T833353. Wait for 5 seconds. Press the <b>Calibrate</b> button.";
	}
%>
<html>
	<head>
    <title><%Response.Write(strTitle + " - " + CamFamily);%></title>
		<link href="/styles/flirweb.css" type="text/css" rel="stylesheet">
	</head>
	<body id="pgCalibAcc">
        <%printStandardDecoration( strTitle );%>
        <%printNavigation( "mnuCalib", "mnuCalibSysCalib" );%>
        <div id="mainpane">
            <div id="content">
			<%

			if(tilt_acc_is_available()) { 
			
			%>
				<form action="#" method=post id=form1 name=reset>
				<table>
				<tr>
					<td valign="top">
                    <p><%Response.Write(strDesc);%></p>
					</td>
				</tr>
				<%
				if(calibWasRun)
				{
					if(calibWasOK)
					{
				%>
				<tr>
					<td bgcolor="#00FF00" valign="top">
                    <p>Calibration seems to be OK.</p>
					</td>
				</tr>
				<%
					}
					else
					{
				%>
				<tr>
					<td bgcolor="#FF0000" valign="top">
                    <p>Calibration not OK: <%Response.Write(calibErr);%></p>
					</td>
				</tr>
				<%
					} /* calibWasOK */
				} /* calibWasRun */
				%>
				<tr><td>&nbsp;</td></tr>
				<tr><td>
				<input type=submit id=button1 name=calibrate value="Calibrate"></td><td>
				</td></tr>

				</table>
                </form>
				
			<%
			}else{ /* Tilt accelerometer is not available or not enabled */ 
			%>
				<table>
				<tr>
				<td valign="top">
				<%
				if(!tilt_acc_hw_exists())
				{
				%>
                    <p><b>Tilt accelerometer hardware is not detected.</b></p>
				<%
				}
				else if(!tilt_acc_is_enabled())
				{
				%>
				    <p><b>Tilt accelerometer is not enabled.</b></p>
				<%
				}
				else /* Not hardware nor config, unknown. */
				{
				%>
				    <p><b>Tilt accelerometer is not available. (UNKNOWN REASON)</b></p>
				<%
				}
				%>
                </td>
				</tr>

				<tr><td>&nbsp;</td></tr>

				</table>
				
			<%
			} /* tilt acc availability check */
			%>
			</div>
			<%printStandardFooter();%>
		</div>
	</body>
</html>
